#ifndef SNAKE_H
#define SNAKE_H

#include <raylib.h>
#include <stdbool.h>

#define SCREEN_WIDTH 800
#define SCREEN_HEIGHT 600
#define CELL_SIZE 20
#define MAX_CELLS 1200
//position
typedef struct {
    int x;
    int y;
} Position;

typedef struct {
    Position segments[MAX_CELLS];
    int length;
    Position direction;
} Snake;

void InitSnake(Snake *snake);
void UpdateSnake(Snake *snake);
bool CheckCollision(Snake *snake);

#endif
